Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export
Class HtmlExporterHyperlinkProducerAdapter

    java.lang.Object
      net.sf.jasperreports.engine.export.HtmlExporterHyperlinkProducerAdapter

All Implemented Interfaces:
  JRHyperlinkProducer

    public class HtmlExporterHyperlinkProducerAdapter

extends java.lang.Object
implements JRHyperlinkProducer

An adapter of `JRHtmlExporterContext` as `JRHyperlinkProducer`.

Version:
  $Id: HtmlExporterHyperlinkProducerAdapter.java 3627 2010-03-25 17:51:07Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`HtmlExporterHyperlinkProducerAdapter(JRHtmlExporterContext exporterContext)` Creates an adapter.

Method Summary
`java.lang.String` | `getHyperlink(JRPrintHyperlink hyperlink)` Generates the String hyperlink for a hyperlink instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlExporterHyperlinkProducerAdapter

    public HtmlExporterHyperlinkProducerAdapter(JRHtmlExporterContext exporterContext)

  Creates an adapter.

  Parameters:
    `exporterContext` - the exporter context

Method Detail

### getHyperlink

    public java.lang.String getHyperlink(JRPrintHyperlink hyperlink)

  Description copied from interface: `JRHyperlinkProducer`
  Generates the String hyperlink for a hyperlink instance.

  Specified by:
    `getHyperlink` in interface `JRHyperlinkProducer`
  Parameters:
    `hyperlink` - the hyperlink instance
  Returns:
    the genereated String hyperlink

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com